import { SubmitValue } from '@oinone/kunlun-engine';
import { ValidatorInfo } from '../../../../typing';
import { FormStringFieldWidget } from '../FormStringFieldWidget';
export declare class FormStringPasswordFieldWidget extends FormStringFieldWidget {
    initialize(props: any): this;
    validator(): Promise<ValidatorInfo>;
    submit(submitValue: SubmitValue): import("@oinone/kunlun-shared").ReturnPromise<Record<string, unknown> | undefined, Record<string, unknown> | undefined>;
}
